Lucent and Solr can use old 3.0 filters easily, no need to port something. cta is just a more easy to use replacement of ta. If you use ta, the sophisticated backwards layer automatically provides cta.

So I am still not sure what the problem is.

---
Uwe Schindler
Generics Policeman
Bremen, Germany

----- Reply message -----
Von: "Burton-West, Tom" <tburtonw@umich.edu>
Datum: Do., Nov. 11, 2010 19:25
Betreff: Solr 1.4.1 Analysis console gives error regarding CharTermAttributeImpl that is not in the target
An: "dev@lucene.apache.org" <dev@lucene.apache.org>

>> Something here is using lucene 3.x or trunk code, since
>>CharTermAttribute[Impl] only exists in unreleased versions!

Doh!   I forgot to switch my binaries back to Solr 1.4.1 from 3.x.  Thanks for the catch Robert.  The subject line should read: Solr/Lucene 3.x Analysis console gives error regarding CharTermAttributeImpl that is not in the target

I do need to port my filter to lucene 3.x, so is there 3.x documentation about use of CharTermAttributeImpl?

Is this something that needs to be in the TokenStream examples in the 3.0.2 org.apache.lucene.analysis package.html?

Tom